# ######################################################################################################################
# CONSTANTS
# ######################################################################################################################

# Latitude Min/Max
_MIN_LATITUDE = -90.0
_MAX_LATITUDE = 90.0

# Longitude Min/Max
_MIN_LONGITUDE = -180.0
_MAX_LONGITUDE = 180.0

# Longitude of the center of local timezone
REFERENTIAL_LONGITUDE = 45

# Solar declination Min/Max
_MIN_SOLAR_DECLINATION = -23.5
_MAX_SOLAR_DECLINATION = 23.5

# Sunset hour angle Min/Max
_MIN_SUNSET_HOUR_ANGLE = 0.0
_MAX_SUNSET_HOUR_ANGLE = 180

# Solar constant [ MJ m-2 min-1]
SOLAR_CONSTANT = 0.0820

# Stefan Boltzmann constant [MJ K-4 m-2 day-1]
STEFAN_BOLTZMANN_CONSTANT = 0.000000004903

_MONTHDAYS = (31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31)
_LEAP_MONTHDAYS = (31, 29, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31)